Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.openpgp
Class PGPKeyValidationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.bouncycastle.openpgp.PGPException
                  org.bouncycastle.openpgp.PGPKeyValidationException

All Implemented Interfaces:
  java.io.Serializable

    public class PGPKeyValidationException

extends PGPException

Thrown if the key checksum is invalid.

See Also:
  Serialized Form

Constructor Summary
`PGPKeyValidationException(java.lang.String message)`

Method Summary

Methods inherited from class org.bouncycastle.openpgp.PGPException
`getCause, getUnderlyingException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PGPKeyValidationException

    public PGPKeyValidationException(java.lang.String message)

Parameters:
  `message` -

Bouncy Castle Cryptography Library 1.45